from super_bot import SuperBot
from datetime import datetime
from pynput.mouse import Controller

bot = SuperBot()
m = Controller()

bot.random_sleep(5000, 6000)
saved_position = m.position
inventories = 205

for inventory in range(inventories):
    print(f"{datetime.now()}: Inventory {inventory + 1}")
    bot.mouse.position = saved_position
    bot.left_click()
    bot.super_random_sleep(1200, 1300)
    bot.press_key('1')
    bot.super_random_sleep(1200, 1300)
    bot.press_key('1')
    bot.super_random_sleep(1200, 1300)
    bot.press_key(' ')
    bot.super_random_sleep(9_200, 9_800)
